# Miscellaneous Products Miscellaneous Products ## Gets all of the miscellaneous products in the system. - [GET /miscellaneousProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/listmiscellaneousproducts.md): This method will scan all miscellaneous products and and return them to the caller. ## Creates a new miscellaneous product record that does not already exist. - [POST /miscellaneousProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/createmiscellaneousproduct.md): This method will auto-generate an ID and create a new miscellaneous product. If an ID is specified for the miscellaneous product, an error will be thrown. ## Execute Batch Operations - [POST /miscellaneousProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a miscellaneous product from the system by its ID. - [DELETE /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/deletemiscellaneousproduct.md): This method will delete a miscellaneous product with the specified ID. ## Returns a miscellaneous product from the system by its ID. - [GET /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/getmiscellaneousproduct.md): This method will look up a miscellaneous product by the specified ID and return it back. ## Partially updates a miscellaneous product with the specified ID. - [PATCH /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/patchmiscellaneousproduct.md): This method will patch an existing miscellaneous product with the specified ID, using the HTTP PATCH specification. ## Updates a miscellaneous product with the specified ID. - [PUT /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/updatemiscellaneousproduct.md): This method will update an existing miscellaneous product with the specified ID.